org.opengis.cite.ogcapifeatures10.conformance.core.collections

## Class FeatureCollection

- java.lang.Object
- - org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
  - - org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture
    - - org.opengis.cite.ogcapifeatures10.conformance.core.collections.FeatureCollection

-     public class FeatureCollection
      extends CommonDataFixture

  A.2.6. Feature Collection {root}/collections/{collectionId}
  Author:
    Lyn Goltz

- - ### Field Summary

    - ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture

      `noOfCollections`

    - ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `requestLoggingFilter, responseLoggingFilter, rootUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeatureCollection()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object[][]` | `collections(org.testng.ITestContext testContext)`
    `void` | `storeCollectionInTestContext(org.testng.ITestContext testContext)`
    `void` | `validateFeatureCollectionMetadataOperation(org.testng.ITestContext testContext, Map<String,Object> collection)` Abstract Test 11: /ats/core/sfc-md-op Test Purpose: Validate that the Collection content can be retrieved from the expected location.
    `void` | `validateFeatureCollectionMetadataResponse(Map<String,Object> collection)` Abstract Test 12: /ats/core/sfc-md-success Test Purpose: Validate that the Collection content complies with the required structure and contents.

    - ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture

      `createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures, createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures, createListOfMediaTypesToSupportForOtherResources, getApiModel, noOfCollections, requirementClasses, retrieveApiModel`

    - ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `clearMessages, getRequest, getResponse, init, initCommonFixture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FeatureCollection

          public FeatureCollection()

  - ### Method Detail

    - #### collections

          public Object[][] collections(org.testng.ITestContext testContext)

    - #### storeCollectionInTestContext

          public void storeCollectionInTestContext(org.testng.ITestContext testContext)

    - #### validateFeatureCollectionMetadataOperation

          public void validateFeatureCollectionMetadataOperation(org.testng.ITestContext testContext,
                                                                 Map<String,Object> collection)

           Abstract Test 11: /ats/core/sfc-md-op
           Test Purpose: Validate that the Collection content can be retrieved from the expected location.
           Requirement: /req/core/sfc-md-op

           Test Method: For every Feature Collection described in the Collections content, issue an HTTP GET request to the URL /collections/{collectionId} where {collectionId} is the id property for the collection. Validate that a Collection was returned with a status code 200. Validate the contents of the returned document using test /ats/core/sfc-md-success.

      Parameters:
        `testContext` - never `null`
        `collection` - the collection to test, never `null`

    - #### validateFeatureCollectionMetadataResponse

          public void validateFeatureCollectionMetadataResponse(Map<String,Object> collection)

           Abstract Test 12: /ats/core/sfc-md-success
           Test Purpose: Validate that the Collection content complies with the required structure and contents.
           Requirement: /req/core/sfc-md-success

           Test Method: Verify that the content of the response is consistent with the content for this Feature Collection in the /collections response. That is, the values for id, title, description and extent are identical.

      Parameters:
        `collection` - the collection to test, never `null`

Copyright © 2021 Open Geospatial Consortium. All rights reserved.